## crunchyfrog-0.2.dev-r20.tar.gz

=== Makefile ===
PO=de

clean: po-clean
	find . -name "*.pyc" -delete
	rm -rf build/
	
ChangeLog:
	svn2cl --authors=AUTHORS -o ChangeLog --group-by-day
	
dist-prepare: clean ChangeLog
	
egg: dist-prepare
	python setup.py bdist_egg
	
deb: dist-prepare
	rm -rf /tmp/crunchyfrog-build
	mkdir -p /tmp/crunchyfrog-build/crunchyfrog
	cp -r * /tmp/crunchyfrog-build/crunchyfrog/
	cd /tmp/crunchyfrog-build/crunchyfrog/; dpkg-buildpackage -us -uc -rfakeroot
	mkdir -p dist
	cp /tmp/crunchyfrog-build/*.deb dist/
	rm -rf /tmp/crunchyfrog-build
	
snapshot: dist-prepare
	python setup.py egg_info -rbdev bdist_egg rotate -m.egg -k3
	
source-release: dist-prepare
	python setup.py egg_info -rbdev sdist upload
	
sdist: dist-prepare
	python setup.py sdist
	
po-clean:
	find data -type f -name *.h -print | xargs --no-run-if-empty rm -rf
	find cf -type f -name *.h -print | xargs --no-run-if-empty rm -rf

po-data:
	for lang in $(PO); do msgfmt po/$$lang/LC_MESSAGES/crunchyfrog.po -o po/$$lang/LC_MESSAGES/crunchyfrog.mo;done
	
po-gen:
	intltool-extract --type=gettext/glade data/crunchyfrog.glade
	xgettext --from-code=UTF-8 -k_ -kN_ -o po/crunchyfrog.pot `find cf/ -type f -name *.py` data/*.h `find cf -type f -name *.h`
	for lang in $(PO); do msgmerge -U po/$$lang/LC_MESSAGES/crunchyfrog.po po/crunchyfrog.pot; done

=== debian/changelog ===
crunchyfrog (0.2.0-1) experimental; urgency=low

  * Initial release.

 -- Andi Albrecht <albrecht.andi@gmail>  Sat, 16 Jun 2007 18:01:15 +0200

=== debian/control ===
Source: crunchyfrog
Maintainer: Andi Albrecht <albrecht.andi@gmail.com>
Section: gnome
Priority: optional
Build-Depends: debhelper (>= 5.0.37.2),
               python-dev,
               python,
               python-setuptools
Build-Depends-Indep: python-central (>= 0.5.4)
Standards-Version: 3.7.2
XS-Python-Version: >= 2.4

Package: crunchyfrog
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-gnome2,
         python-gnome2-desktop,
         python-gobject,
         python-gconf,
         python-setuptools,
         python-pysqlite2 (>= 2.0.5),
         python-configobj (>= 4.4.0),
         python-lxml (>= 0.9),
         python-kiwi,
Recommends: python-psycopg2
XB-Python-Version: ${python:Versions}
Description: database schema browser and query tool
 CrunchyFrog is a database browser and query tool with support for
 multiple databases.
 .
 Homepage: http://cf.andialbrecht.de
